package com.trendify.inventory.controller;

import com.trendify.inventory.dto.InventoryDto;
import com.trendify.inventory.service.InventoryService;
import com.trendify.inventory.utils.AppUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import reactor.core.publisher.Mono;

@RestController
@RequestMapping("/inventory")
public class InventoryController {
    @Autowired
    private InventoryService inventoryService;
    @PostMapping("/addProduct")
    public Mono<InventoryDto> saveProduct(@RequestBody Mono<InventoryDto> inventoryDtoMono){
        return inventoryDtoMono
                .flatMap(inventoryDto -> inventoryService.saveProduct(Mono.just(inventoryDto)));


    }

    @PostMapping("/update/{id}")
    public Mono<InventoryDto> updateProduct(@RequestBody Mono<InventoryDto> productDtoMono, @PathVariable String id){
        return inventoryService.updateProduct(productDtoMono,id);

    }

    @GetMapping("/quantity/{productId}")
    public Mono<Integer> getQuantity(@PathVariable String productId){
        return inventoryService.getQuantity(productId);
    }
}
